Summary: ProFTPd -- Professional FTP Server.
Name: proftpd
Version: 1.2.8
Release: 11tr
License: GPL
Group: Network/Services
URL: http://www.proftpd.net/
Source0: ftp://ftp.proftpd.org/distrib/source/%{name}-%{version}.tar.gz
Source1: proftpd.conf
Source2: proftpd.init
Patch0: proftpd-1.2.6-init.patch
Patch1: proftpd-1.2.8-upload.patch
Prefix:	/usr
BuildRoot: /var/tmp/%{name}-root
Requires: pam >= 0.59, chkconfig, openssl
BuildRequires: pam-devel, openssl-devel 
Provides: ftpserver
Prereq: coreutils gawk setup sed /sbin/chkconfig /sbin/restart_maybe

%description
ProFTPd is an enhanced FTP server with a focus toward simplicity,
security, and ease of configuration.  It features a very Apache-like
configuration syntax, and a highly customizable server infrastructure,
including support for multiple 'virtual' FTP servers, anonymous FTP, and
permission-based directory visibility.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
            --prefix=%{prefix} \
            --sysconfdir=/etc \
            --localstatedir=/var/run \
            --enable-sendfile \
            --with-openssl-dir=/usr \
            --with-modules=mod_ratio:mod_tls:mod_readme:mod_auth_pam \
            --mandir='${prefix}/share/man'

make CFLAGS="$RPM_OPT_FLAGS -DPR_PROFTPD"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
     localstatedir=$RPM_BUILD_ROOT/var/run \
     rundir=$RPM_BUILD_ROOT/var/run/proftpd \
     sysconfdir=$RPM_BUILD_ROOT/etc \
install

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d

install -m 644 contrib/dist/rpm/ftp.pamd $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m 755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/proftpd
install -m644 %SOURCE1 $RPM_BUILD_ROOT/etc/proftpd.conf

%preun
# nuke everyting only on 'rpm -e proftpd' 
if [ $1 = 0 ]; then
    /sbin/chkconfig --del proftpd
    rm -rf /var/run/proftpd/*
fi

%post
# Make /etc/ftpusers
if [ ! -s /etc/ftpusers ]; then
    awk -F: '{ if ( $3 < 500 ) print $1 }' /etc/passwd > /etc/ftpusers
fi
# Make correct symlinks.
/sbin/chkconfig --add proftpd
# Restart service after upgrade.
/sbin/restart_maybe proftpd

#
# Config file hack:
echo "Your original config file might have moved to /etc/proftpd.con.rpmsave!"
echo "Move it back and restart if the service is not running properly."

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/*
/usr/bin/*
%dir /var/run/proftpd
%config /etc/pam.d/ftp

%doc README README.* doc/*
%doc contrib/README contrib/README.* contrib/xferstats.holger-preiss
%doc sample-configurations/*
/usr/share/man/*/*
/etc/init.d/proftpd
%config(noreplace) /etc/proftpd.conf

%changelog
* Thu Oct 30 2003 Chr. Toldnes <christht at trustix dot org> 1.2.8-11tr
- backport to trustix. fixes also the config file issue.

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 1.2.8-10tsl
- port to tawie

* Wed Sep 24 2003 Chr. Toldnes <christht at tslng dot org> 1.2.8-9tr
- Retagged and rebuilt

* Tue Sep 23 2003 Goetz Bock <bock at trustix dot org> 1.2.8-8bg
- added patch (well diff) for upload bug from 1.2.8p

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-7tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-6tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-5em
- Remove anonftp Req.

* Sat Jun  7 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-4em
- Removed /home/ftp, Req anonftp to fix file conflict.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-3em
- fileutils -> coreutils.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.8-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar 19 2003 Tor Hveem <torh at trustix dot org> 1.2.8-1th
- 1.2.8
- removed TSL patch.
- fixed pam module name.
- added lots of deps.

* Fri Feb 28 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.6-5em
- Added %attr.
- Removed noreplace.

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 1.2.6-4gd
- rebuilt against openssl 0.9.7

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 1.2.6-3ct
- initscript now uses $INITLOCK

* Thu Oct  3 2002 Christian H. Toldnes <christht at trustix dot com> 1.2.6-2ct
- Moved initscript to fit TSL 2.0

* Wed Sep 11 2002 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 1.2.6
- Added TLS patch.

* Thu Jan  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Upgraded to 1.2.4
- Chkconfig bug now fixed.
- General packages cleanup.

* Mon May 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- configure does not use more than 1 --with-modules

* Wed Mar 28 2001 Alexander Reelsen <ar at trustix dot com>
- Short term security fix

* Tue Mar  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- Update to v1.2.1

* Wed Feb 14 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed typo in default config file.

* Fri Nov  3 2000 Erlend Midttun <erlendbm at trustix dot com>
- Trying to do ftpusers again.

* Tue Sep 12 2000 Per Ivar Paulsen <perp at trustix dot com>
- Updated to rc2

* Wed Jul 26 2000 Oystein Viggen <oysteivi at trustix dot com>
- Generate /etc/ftpusers during install

* Fri Mar 17 2000 Per Ivar Paulsen <perp at trustix dot com>
- Added better default configuration

* Mon Jan 24 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- Picked up ProFTPd 1.2.0pre10

* Thu Oct 3 1999 O.Elliyasa <osman@Cable.EU.org>
- Multi package creation.
  Created core, standalone, inetd (&doc) package creations.
  Added startup script for init.d
  Need to make the "standalone & inetd" packages being created as "noarch"
- Added URL.
- Added prefix to make the package relocatable.

* Wed Sep 8 1999 O.Elliyasa <osman@Cable.EU.org>
- Corrected inetd.conf line addition/change logic.

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
- Initial import of spec.
